# Get webhook subscription by ID

Endpoint: GET /webhooks/{webhookSubscriptionId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `webhookSubscriptionId` (string, required)
    The ID of the webhook subscription

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)

  - `data.eventTypes` (array)
    The list of events for which the caller will receive webhooks.
For any proxy `webhookType`, this field should be left empty, and we will automatically send the events
associated with that specific proxy.

  - `data.webhookType` (string)
    Peach supports two ways of receiving webhooks:
- `direct` - events will be provided directly to the url nominated by the lender, and the event data will match Peach's data format.
- `proxyGalileo` - events will trigger Peach to make specific API calls to Galileo, so Galileo's sub-ledger remains in sync with Peach's ledger.

Note: when setting webhookType as `proxyGalileo`, please work with the Peach team to ensure the API calls you require are configured.
    Enum: "direct", "proxyGalileo"

